python-dbusmock (0.35.0-1) experimental; urgency=medium

  * New upstream release:
    - modemmanager: Add operator code (thanks Guido Günther)
    - modemmanager: Allow to set CellBroadcast channel list
      (thanks Guido Günther)
  * Bump Standards-Version to 4.7.2.  No changes necessary.
  * debian/watch: Adjust to python_dbusmock rename

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 May 2025 08:51:37 +0000

python-dbusmock (0.34.3-1) unstable; urgency=medium

  * New upstream release:
    - tests: Relax libnotify expected format for libnotify 0.8.4
  * Bump Standards-Version to 4.7.1.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Feb 2025 08:19:09 +0000

python-dbusmock (0.34.0-1) unstable; urgency=medium

  * New upstream release:
    - modemmanager: Add cell broadcast messages (thanks Guido Günther)
    - Move release builds to pybuild for PEP-625 compatibility

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Dec 2024 07:38:20 +0000

python-dbusmock (0.33.0-1) unstable; urgency=medium

  * New upstream release:
    - templates: Add gsd-rfkill (thanks Guido Günther)
    - Allow adding objects derived from DBusMockObject (thanks Sebastian Wick)
    - Drop Python <= 3.7 support (thanks Tomasz Kłoczko)
  * autopkgtest: Drop ofono test dependency.  ofono fell out of testing. It's
    still covered in upstream CI.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2024 00:38:53 +0000

python-dbusmock (0.32.2-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick fix for bluez 5.79

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 16:10:35 -0500

python-dbusmock (0.32.2-1) unstable; urgency=medium

  * New upstream bug fix release:
    - all templates: Drop wrong variant wrapping from all properties
    - tests: Skip TestNetworkManager::test_one_wifi_with_accesspoints
      with NM ≥ 1.49.3. Fixes hanging autopkgtest.

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Oct 2024 09:48:25 +0200

python-dbusmock (0.32.1-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Add git-buildpackage configuration.
    In particular, enable pristine-tar (Closes: #1079281)
  * d/control: Mark test-only build dependencies as such

  [ Simon McVittie ]
  * d/control: Depend on dbus-daemon instead of dbus, dbus-x11.
    In 2017 (#836053) the build-dependency and the dependency for python-dbus
    were swapped from dbus-x11 to dbus, but python3-dbus still depended on
    dbus-x11. This is no longer necessary.
    The dbus package sets up dbus-daemon to provide the well-known system
    bus, but this is unnecessary for dbusmock; all it actually needs is the
    dbus-daemon executable and enough configuration to run it as a
    session bus, for which the dbus-daemon package is sufficient
    (since Debian 12). (Closes: #1079280)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Aug 2024 17:36:19 +0200

python-dbusmock (0.32.1-1) unstable; urgency=medium

  * New upstream release:
    - ModemManager: Add initial mock (thanks Guido Günther)
    - bluez5: Add advertising API (thanks Frederik Leonhardt)
    - Fix loading of libglib on macOS (thanks peturingi)
  * Bump Standards-Version to 4.7.0. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 14 Jul 2024 09:20:33 +0200

python-dbusmock (0.31.1-1) unstable; urgency=medium

  * New upstream release:
    - power_profiles_daemon: Move back to original D-Bus name to avoid
      breaking compatibility.
    - Add upower_power_profiles_daemon template for version 0.20 API with new
      D-Bus name.

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Feb 2024 14:08:40 +0100

python-dbusmock (0.31.0-1) unstable; urgency=medium

  * New upstream release:
    - power-profiles-daemon: Move to org.freedesktop.UPower.PowerProfiles as
      in release 0.20.0 (API break!)
    - NetworkManager: Add stub ipv4/6 properties in AddWiFiConnection

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Feb 2024 09:19:44 +0100

python-dbusmock (0.30.2-2) unstable; urgency=medium

  * autopkgtest: Fix test invocation.
    Python 3.12's unittest exits with code 5 if all tests are skipped, which
    is the case for some test files. Run all tests in a single invocation to
    avoid that. (Closes: #1061825)

 -- Martin Pitt <mpitt@debian.org>  Tue, 30 Jan 2024 06:54:12 +0100

python-dbusmock (0.30.2-1) unstable; urgency=medium

  * New upstream bug fix release:
    - bluez5: Fix invalid arguments to PairDevice (thanks Simon McVittie)
      (Closes: #1057564)

 -- Martin Pitt <mpitt@debian.org>  Sun, 31 Dec 2023 07:03:51 +0100

python-dbusmock (0.30.1-1) unstable; urgency=medium

  * New upstream release:
   - bluez: Clean up static default properties, re-drop PairDevice() class_ parameter
   - Add pre-commit rules (thanks Peter Hutterer)

 -- Martin Pitt <mpitt@debian.org>  Sat, 23 Dec 2023 22:18:05 +0100

python-dbusmock (0.30.0-2) unstable; urgency=medium

  * Add missing python3-pytest autopkgtest dependency (Closes: #1057148)

 -- Martin Pitt <mpitt@debian.org>  Fri, 01 Dec 2023 06:45:16 +0000

python-dbusmock (0.30.0-1) unstable; urgency=medium

  * New upstream release:
    - api: Add pytest support and helpers
    - api: Factor the server spawning into a new SpawnedMock object (thanks
      Peter Hutterer)
    - doc: generate sphinx docs on
      https://martinpitt.github.io/python-dbusmock/ (thanks Peter Hutterer)
    - cli: Add support for running custom commands on the mock environment
      (thanks Marco Trevisan)

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Nov 2023 07:27:49 +0000

python-dbusmock (0.29.1-2) unstable; urgency=medium

  * Ignore .egg-info/ changes during package cleaning.
    The egg-info is rebuilt during binary package build, with a different
    setuptools than the upstream release. This failed building a source
    package after a binary build. (Closes: #1047543)

 -- Martin Pitt <mpitt@debian.org>  Fri, 18 Aug 2023 16:45:11 +0200

python-dbusmock (0.29.1-1) unstable; urgency=medium

  * New upstream version 0.29.0:
    - Support loading templates from XDG_DATA_DIRS
    - iio-sensors-proxy: Throw proper D-Bus errors instead of Python Exception
  * New upstream version 0.29.1:
    - Test fixes (thanks Marco Trevisan)

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Jul 2023 05:08:50 +0000

python-dbusmock (0.28.7-1) unstable; urgency=medium

  * New upstream bug fix release:
    - blue5-obex template: Fix OBEX PullAll (thanks Jan Alexander Steffens)
    - power_profiles template: Fix Actions property type (thanks Jonas Ådahl)
    - README: Explain container tests and how to debug them
  * autopkgtest: Update policykit-1 dependency.
    Primarily depend on polkitd now. Keep the transitional policykit-1 as
    alternative to keep the package working on Debian 11. (Closes: #1025640)
  * Bump Standards-Version to 4.6.2.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 05 Jan 2023 14:57:52 +0100

python-dbusmock (0.28.6-1) unstable; urgency=medium

  * New upstream version:
    - Allow sending signals from a specific path (thanks Peter Hutterer)
    - logind: Adjust for systemd 252
    - Use setuptools_scm to determine version
  * debian/copyright: Update to current upstream copyrights
  * debian/watch: Move to PyPI. GitHub's release page became obfuscated and
    cannot be processed by uscan any more.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Oct 2022 07:31:35 +0200

python-dbusmock (0.28.4-1) unstable; urgency=medium

  * New upstream version:
    - setup.py: Fix ModuleNotFoundError
    - ofono template: Fix conversion to f-strings (Closes: #1015286)

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Jul 2022 14:39:51 +0200

python-dbusmock (0.28.3-1) unstable; urgency=medium

  * New upstream version:
    - Bring back dbusmock.__version__
  * Go back to building with setup.py
    pyproject is still way too brittle for production. Upstream CI went back
    to setup.py as well.

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Jul 2022 13:47:42 +0200

python-dbusmock (0.28.2-1) unstable; urgency=medium

  * New upstream version 0.28.1:
    - Again works on RHEL/CentOS 8 (0.27 broke there)
    - Avoid glib GI dependency for main dbusmock, for running in virtualenv
  * New upstream version 0.28.2:
    - Dynamically compute version with setuptools-scm
    - tests: Adjust to libnotify 0.8 (Closes: #1015068)
    - tests: Only run pylint on current Fedora release
  * Bump Standards-Version to 4.6.1. No changes necessary.
  * Adjust build dependencies for upstream moving to pyproject

 -- Martin Pitt <mpitt@debian.org>  Sat, 16 Jul 2022 22:09:57 +0200

python-dbusmock (0.28.0-1) unstable; urgency=medium

  * New upstream version:
    - Drop unmaintained and broken accountsservice template
    - testcase: Throw an error when spawning a well-known name that exists
      (thanks Benjamin Berg)
    - mockobject: Allow sending signals with extra details
      (thanks Peter Hutterer)

 -- Martin Pitt <mpitt@debian.org>  Sun, 19 Jun 2022 15:33:05 +0200

python-dbusmock (0.27.5-1) unstable; urgency=medium

  * New upstream version:
    - bluez and accountsservice templates: Drop default arguments from D-Bus
      methods (thanks Simon McVittie) (Closes: #1008941)

 -- Martin Pitt <mpitt@debian.org>  Tue, 05 Apr 2022 07:55:22 +0200

python-dbusmock (0.27.4-1) unstable; urgency=medium

  * New upstream version:
    - Fix D-Bus signature detection regression from 0.27.0 (thanks Peter
      Hutterer)

 -- Martin Pitt <mpitt@debian.org>  Mon, 04 Apr 2022 16:08:15 +0200

python-dbusmock (0.27.3-1) unstable; urgency=medium

  * New upstream version:
    - Do not register standard session service directories, add API to enable
      selected services (thanks Benjamin Berg)
    - Log static method calls from templates (thanks Peter Hutterer)

 -- Martin Pitt <mpitt@debian.org>  Sat, 02 Apr 2022 09:03:44 +0200

python-dbusmock (0.26.1-2) unstable; urgency=medium

  * debian/python3-dbusmock.docs: Update for README rst → md change
    (Closes: #1006465)

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Mar 2022 13:03:48 +0100

python-dbusmock (0.26.1-1) unstable; urgency=medium

  [ deb-scrub-obsolete ]
  * Remove constraints unnecessary since buster
    * Build-Depends-Indep: Drop versioned constraint on gir1.2-glib-2.0.
    * python3-dbusmock: Drop versioned constraint on gir1.2-glib-2.0 in Depends.
    Changes-By: deb-scrub-obsolete

  [ Martin Pitt ]
  * New upstream version 0.26.{0,1}:
    - logind template: Add locking API (thanks Andy Holmes)
    - bluez5 template: Add RemoveDevice() and RemoveAdapterWithDevices() methods,
    - fix properties (thanks Bastien Nocera)
    - Documentation improvements, particularly wrt. raising errors
    - Fix README content type to Markdown, to fix releasing to PyPi

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Feb 2022 13:07:30 +0100

python-dbusmock (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0:
    - bluez template: Implement adapter discovery, connect, disconnect, and
      removal (thanks Bastien Nocera)
    - Fix changing array properties (thanks Jonas Ådahl)
    - Fix CLI upower tests (thanks Marco Trevisan)

 -- Martin Pitt <mpitt@debian.org>  Sat, 25 Dec 2021 07:46:28 +0100

python-dbusmock (0.24.1-1) unstable; urgency=medium

  * New upstream version 0.24.1:
    - Do not register standard D-Bus service directories
      (Thanks Benjamin Berg)
    - templates: Add IIO Sensors Proxy support (Thanks Marco Trevisan)
    - Fix importlib module import (Thanks Marco Trevisan)
    - Clean up code for most recent pylint version

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2021 16:28:46 +0200

python-dbusmock (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0:
    - Add power-profiles-daemon template (Thanks Bastien Nocera)
    - logind: Implement Inhibit and ListInhibitors (Thanks to Benjamin Berg)
    - Fix new complaints from pylint 2.9

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Aug 2021 08:47:11 +0200

python-dbusmock (0.23.1-2) unstable; urgency=medium

  * Declare "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.6.0. No changes necessary.
  * Update to debhelper compat level 13

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Aug 2021 09:21:59 +0200

python-dbusmock (0.23.1-1) experimental; urgency=medium

  * New upstream version 0.23.1:
    - Fix tests for Python 3.10

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Jun 2021 09:41:50 +0200

python-dbusmock (0.23.0-1) experimental; urgency=medium

  * New upstream version 0.23.0:
    - DBusMockObject: Add UpdateProperties() method (Thanks to Jonas Ådahl)
    - DBusTestCase: Add bus override argument to spawn_server_template, to use
      templates on either system or session bus; add corresponding --session
      CLI option
    - bluez template: Implement Pair() method on the Device interface and the
    - AgentManager1 interface (Thanks to Bastien Nocera)
    - polkit template: Implement RegisterAuthenticationAgent() (Thanks to
      Jonas Ådahl)
    - Add accountsservice template (Thanks to Marco Trevisan)

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Mar 2021 07:08:19 +0100

python-dbusmock (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0:
    - NetworkManager template: Fix connecting to wifi
    - NetworkManager template: Add Reload() method
    - tests: Replace nose test runner with standard unittest
    - setup.py: Drop deprecated test_suite, run tests through
      python3 -m unittest directly
  * Drop obsolete python3-nose build dependency.

 -- Martin Pitt <mpitt@debian.org>  Sat, 02 Jan 2021 17:46:45 +0100

python-dbusmock (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0:
    - Add type annotations to the whole API
    - Drop obsolete ConsoleKit and bluez4 templates/tests
    - upower template: Drop support for 0.9 API
  * Bump Standards-Version to 4.5.1.  No changes necessary.
  * debian/tests: Drop long-obsolete systemd-services test dependency
    alternative.

 -- Martin Pitt <mpitt@debian.org>  Fri, 01 Jan 2021 13:08:14 +0100

python-dbusmock (0.20.0-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream version 0.20.0:
    - NetworkManager template: Handle NetworkingEnable
    - NetworkManager template: AddConnectionUnsaved
    - Drop support for Python 2

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.19-1.
  * Bump debhelper from old 10 to 12.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.
  * Update watch file format version to 4.
    Changes-By: lintian-brush
    Fixes: lintian: older-debian-watch-file-standard
    See-also: https://lintian.debian.org/tags/older-debian-watch-file-standard.html

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin Pitt <mpitt@debian.org>  Sat, 19 Dec 2020 18:58:34 +0100

python-dbusmock (0.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Martin Pitt ]
  * Move packaging VCS to python-team repository.
    Update Vcs-* tags accordingly. (Closes: #946098)
  * New upstream version 0.19:
    - NetworkManager template: Add "StateReason" property and active connection
      ID (Closes: #947712)
    - Add low-memory-monitor template

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jan 2020 20:36:10 +0000

python-dbusmock (0.18.3-2) unstable; urgency=medium

  * Drop Python 2 package.
    All reverse dependencies got updated to Python 3 now. (Closes: #937688)

 -- Martin Pitt <mpitt@debian.org>  Thu, 31 Oct 2019 10:30:11 +0000

python-dbusmock (0.18.3-1) unstable; urgency=medium

  * New upstream version 0.18.3
  * Bump Standards-Version to 4.4.0. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 08 Sep 2019 21:05:00 +0000

python-dbusmock (0.18.2-1) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0.  No changes necessary.
  * New upstream version 0.18.2. Fixes tests for systemd 241.

 -- Martin Pitt <mpitt@debian.org>  Sat, 23 Feb 2019 12:45:09 +0000

python-dbusmock (0.18.1-2) unstable; urgency=medium

  * debian/tests: Allow stderr messages.
    This avoids failing on Python 3.7 deprecation warnings, or messages from
    e. g. upower.

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Nov 2018 09:16:02 +0000

python-dbusmock (0.18.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Martin Pitt ]
  * New upstream version 0.18.1
  * Install upstream NEWS, as per Debian Policy 12.7
  * Bump Standards-Version to 4.2.1

 -- Martin Pitt <mpitt@debian.org>  Sun, 11 Nov 2018 21:11:26 +0000

python-dbusmock (0.18-1) unstable; urgency=medium

  * New upstream release:
    - Fix tests for systemd 239. (Closes #902602)
  * Adjust Vcs-* for the move to salsa.debian.org
  * Bump Standards-Version to 4.1.4.  No changes needed.

 -- Martin Pitt <mpitt@debian.org>  Sun, 01 Jul 2018 20:38:04 +0000

python-dbusmock (0.17.2-1) unstable; urgency=medium

  * Switch to new upstream release location on GitHub.
    Update debian/watch and debian/copyright.
  * Bump debhelper compat to 10
  * New upstream version 0.17.2

 -- Martin Pitt <mpitt@debian.org>  Thu, 01 Mar 2018 22:40:36 +0100

python-dbusmock (0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Move Vcs-Browser to https://
  * Bump Standards-Version to 4.1.3

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Feb 2018 21:25:52 +0100

python-dbusmock (0.17-1) unstable; urgency=medium

  * New upstream release.
  * Remove dbus-x11 dependency.  (Closes: #836053)
  * Bump Standards-Version to 4.1.1. (No changes necessary)

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Nov 2017 11:16:23 +0100

python-dbusmock (0.16.9-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Jun 2017 15:12:15 +0200

python-dbusmock (0.16.8-1) unstable; urgency=medium

  * New upstream release:
    - bluez5 template tests: Fix failure of test_no_adapters with BlueZ 5.45.
      (LP: #1696480)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Jun 2017 13:57:49 +0200

python-dbusmock (0.16.7-1) unstable; urgency=medium

  * New upstream bug fix release to fix bluez5 test failure with current
    bluez.

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2016 14:15:59 +0200

python-dbusmock (0.16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 19 Jun 2016 21:47:48 +0200

python-dbusmock (0.16.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Jun 2016 15:20:36 +0200

python-dbusmock (0.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Update obsolete Homepage: field.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Dec 2015 13:30:54 +0100

python-dbusmock (0.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Dec 2015 08:07:17 +0100

python-dbusmock (0.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Oct 2015 17:30:57 +0200

python-dbusmock (0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Oct 2015 11:47:27 +0200

python-dbusmock (0.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Sep 2015 15:19:42 +0200

python-dbusmock (0.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Jun 2015 12:54:07 +0200

python-dbusmock (0.15.1-1) unstable; urgency=medium

  * New upstream release.
    - SECURITY FIX: When loading a template from an arbitrary file through the
      AddTemplate() D-Bus method call or DBusTestCase.spawn_server_template()
      Python method, don't create or use Python's *.pyc cached files. By
      tricking a user into loading a template from a world-writable directory
      like /tmp, an attacker could run arbitrary code with the user's
      privileges by putting a crafted .pyc file into that directory.

      Note that this is highly unlikely to actually appear in practice as custom
      dbusmock templates are usually shipped in project directories, not
      directly in world-writable directories.
      (LP: #1453815, CVE-2015-1326)

 -- Martin Pitt <mpitt@debian.org>  Tue, 12 May 2015 12:49:53 +0200

python-dbusmock (0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 May 2015 14:42:32 +0200

python-dbusmock (0.14-2) unstable; urgency=medium

  * debian/control: Drop obsolete XS-Testsuite: field, dpkg adds this
    automatically now.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Apr 2015 10:06:49 +0200

python-dbusmock (0.14-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Mar 2015 12:04:37 +0200

python-dbusmock (0.13-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Feb 2015 09:11:40 +0100

python-dbusmock (0.12-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jan 2015 10:48:11 +0100

python-dbusmock (0.11.4-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Sep 2014 10:26:38 +0200

python-dbusmock (0.11.3-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 Sep 2014 08:50:28 +0200

python-dbusmock (0.11.1-2) unstable; urgency=medium

  * Mark packages as Multi-Arch: foreign for cross-building.
    (LP: #1357388)

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Aug 2014 08:07:59 +0200

python-dbusmock (0.11.1-1) unstable; urgency=medium

  * New upstream release:
    - logind template: Fix type of IdleSinceHint property, and add
      IdleSinceHintMonotonic and IdleActionUSec properties. (LP: #1348437)
    - NetworkManager template: Add "Devices" and "AccessPoints" properties of
      NetworkManager 0.9.10. (LP: #1328579)

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 Aug 2014 08:17:34 +0200

python-dbusmock (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Package is maintained in git now, adjust Vcs-* tags.
  * debian/tests/control: Wrap dependencies.
  * Add bluez test dependency to cover new bluez 4 template.

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 Jul 2014 07:08:49 +0200

python-dbusmock (0.10.3-1) unstable; urgency=medium

  * New upstream release:
    - Fix TestCLI.test_template_system test with upower 0.99. (LP: #1330037)
    - ofono template: Support adding a second modem with AddModem().
      (LP: #1340590)

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Jul 2014 13:32:03 +0200

python-dbusmock (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop ofono-scripts build dependency, it's not in Ubuntu main yet. ofono
    template will be tested in autopkgtest.
  * Update Homepage: for new gitorious page.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jan 2014 15:30:17 +0100

python-dbusmock (0.10-1) unstable; urgency=medium

  * New upstream release.
  * Add "ofono-scripts | ofono" build/autopkgtest dependency, to cover the new
    ofono template in Ubuntu. Debian doesn't package the scripts, so the
    alternative will silently disable this test there.
  * Add "systemd-services | systemd" autopkgtest dependency to cover the new
    timedated template.

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Dec 2013 19:25:32 +0100

python-dbusmock (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Dec 2013 07:18:41 +0100

python-dbusmock (0.9.1-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Dec 2013 11:15:31 +0100

python-dbusmock (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Nov 2013 14:38:52 +0100

python-dbusmock (0.8-1) unstable; urgency=low

  * New upstream release:
    - Support upower 1.0 API in the upower template. Specify property
      DaemonVersion >= 0.99 to use it. (LP: #1245955)
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 Nov 2013 07:23:49 +0100

python-dbusmock (0.7.2-2) unstable; urgency=low

  * Build a Python 2 package. (LP: #1230141)

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2013 10:15:34 +0200

python-dbusmock (0.7.2-1) unstable; urgency=low

  * New upstream release:
    - Add optional "timeout" argument to DBusTestCase.wait_for_bus_object().
      (LP: #1218318)
    - DBusTestCase.start_system_bus(): Make the fake bus look more like a real
      system bus by specifying a configuration file with type "system".
  * Move to pybuild to greatly simplify debian/rules.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Aug 2013 16:47:32 +0200

python-dbusmock (0.7.1-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Aug 2013 07:11:13 +0200

python-dbusmock (0.7-1) unstable; urgency=low

  * New upstream release.
  * Drop consolekit build and test dependency, as at some point we want to get
    rid of it in the archive.

 -- Martin Pitt <mpitt@debian.org>  Tue, 30 Jul 2013 11:08:30 +0200

python-dbusmock (0.6.2-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Jun 2013 12:20:42 +0200

python-dbusmock (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: Fix clean rule to not call python 2.

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Mar 2013 14:16:23 +0100

python-dbusmock (0.5-1) experimental; urgency=low

  * New upstream release.
  * Add policykit-1 test dependency for covering the new polkitd mock.
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Feb 2013 21:49:23 +0100

python-dbusmock (0.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Jan 2013 08:31:54 +0100

python-dbusmock (0.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Jan 2013 08:04:58 +0100

python-dbusmock (0.3-1) experimental; urgency=low

  * New upstream release.
  * Add libnotify-bin build and test dependencies, for the new
    notification-daemon template test.

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Dec 2012 16:02:31 +0100

python-dbusmock (0.2.2-1) experimental; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Nov 2012 06:14:08 +0100

python-dbusmock (0.2.1-1) experimental; urgency=low

  * New upstream release.
  * Add autopkgtest for running the upstream test suite.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Nov 2012 08:13:56 +0100

python-dbusmock (0.1.3-1) experimental; urgency=low

  * Initial release (Closes: #692023)

 -- Martin Pitt <mpitt@debian.org>  Sat, 03 Nov 2012 18:07:20 +0100
